/* nodeCatalog.h */

#ifndef _NODECATALOG_H_
#define _NODECATALOG_H_

#include "vrml.H"

/* registers a built in node type with given interface */
extern void RegisterBuiltin(char *typeId, int nr, interfaceDeclaration *interface);

/* looks up a template node of given type and creates an instance. */
extern SFNode *LookupBuiltin(char *typeId);

#endif /*_NOCATALOG_H_*/
